# Update a group Updates an existing group resource, overwriting all values for a group even if an attribute is empty or not provided. PUT will replace all members of a group with those members provided via the members attribute. If an attribute that had been set previously is left blank during a PUT operation, the new value will be blank in accordance with the data type of the attribute and the storage provider. Endpoint: PUT /scim/v2/Groups/{id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. ## Path parameters: - `id` (string, required) The ID of the group to update. Example: "78faa61b-4e3b-4799-9579-210fd4d80aca" ## Request fields (application/json): - `schemas` (array) List of schema URNs defining the structure of the request. - `operations` (array) - `operations.op` (string, required) The operation to perform (e.g., add, remove, replace). - `operations.path` (string, required) The path to the attribute that is being modified. - `operations.value` (array, required) - `operations.value.value` (string, required) The value to be added. ## Response 200 fields (application/json): - `schemas` (array) List of schema identifiers that define the structure of the group resource. - `id` (string) Unique identifier assigned to the group. - `displayName` (string) Name of the group. - `members` (array) List of members associated with the group. - `members.value` (string) Unique identifier of a member within the group. - `members.display` (string) - `urn:zuora:scim:schemas:1.0:GroupExtension` (object) Custom attributes specific to the group defined by the extension schema. - `urn:zuora:scim:schemas:1.0:GroupExtension.schemas` (array) List of schema identifiers that define the format of the custom attributes. - `urn:zuora:scim:schemas:1.0:GroupExtension.description` (string) Additional description or notes about the group. - `urn:zuora:scim:schemas:1.0:GroupExtension.organizationId` (string) Identifier for the organization to which the group belongs. - `urn:zuora:scim:schemas:1.0:GroupExtension.active` (boolean) Indicates whether the group is currently active. - `meta` (object) Metadata related to the group resource. - `meta.resourceType` (string) Type of the resource, which is 'Group' for this object. Enum: "Group" - `meta.location` (string) URL where the group resource can be accessed. ## Response 201 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields